curl --request POST \
--url https://api.deepl.com/v1/jobs/voice/translate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
]
}
'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"upload_url": "https://assets.deepl.com/collections/a74d88fb-ed2a-4943-a664-a4512398b994/assets/b1c2d3e4-f5a6-7890-abcd-ef1234567890",
"signature": "eyJhbGciOiJIUzI1NiIs..."
}Create a voice translation job
Creates an async voice translation job. The response includes an upload URL for the source audio file.
curl --request POST \
--url https://api.deepl.com/v1/jobs/voice/translate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
]
}
'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"upload_url": "https://assets.deepl.com/collections/a74d88fb-ed2a-4943-a664-a4512398b994/assets/b1c2d3e4-f5a6-7890-abcd-ef1234567890",
"signature": "eyJhbGciOiJIUzI1NiIs..."
}Authorizations
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
Query Parameters
Additional fields to include in the response.
signed_url: Include pre-signed URLs (signed_upload_urlon create,signed_download_urlon status) that can be used without an authorization header.
signed_url Body
Metadata about the source audio file to be uploaded.
Show child attributes
Show child attributes
One or more translation targets. Each target produces a separate result.
1Show child attributes
Show child attributes
Processing parameters for the voice translation job.
Show child attributes
Show child attributes
Response
Job created successfully.
The unique identifier of the created job.
The URL to upload the source audio file to via PUT with Content-Type: application/octet-stream.
Requires the Authorization: DeepL-Signature {signature} header.
See Upload File for details.
A short-lived token used to authorize the file upload. Pass it via the Authorization header as DeepL-Signature {signature} when uploading to the upload_url.
A pre-signed upload URL that does not require an authorization header. Only present when ?include=signed_url is specified.